Nesta área
Contacts
List contacts and manage their tags.
List or search contacts
get/v1/public/contacts
Returns a paginated list of contacts in your organization. Use query for free-text search across name/email/phone.
Parâmetros
limitnumberopcional· consulta- Range 1–100, default 25
pagenumberopcional· consultahasPhonebooleanopcional· consultahasEmailbooleanopcional· consultatagIdstringopcional· consulta- Filter to contacts that have this tag. Repeat to OR multiple.
querystringopcional· consulta- Free-text search across name/email/phone
| Campo | Onde | Tipo | Descrição |
|---|---|---|---|
limitopcional | consulta | number | Range 1–100, default 25 |
pageopcional | consulta | number | |
hasPhoneopcional | consulta | boolean | |
hasEmailopcional | consulta | boolean | |
tagIdopcional | consulta | string | Filter to contacts that have this tag. Repeat to OR multiple. |
queryopcional | consulta | string | Free-text search across name/email/phone |
Respostas
200
Exemplos
bash
curl -X GET "https://api.cognizy.ai/api/v1/public/contacts" \
-H "Authorization: Bearer $COGNIZY_API_KEY"Get a contact by id
get/v1/public/contacts/{id}
Returns the full contact record including recent conversations, deals, appointments, tags, and custom fields.
Parâmetros
idstringobrigatório· caminho- Contact ID
| Campo | Onde | Tipo | Descrição |
|---|---|---|---|
idobrigatório | caminho | string | Contact ID |
Respostas
200Contact record returned404Contact not found
Exemplos
bash
curl -X GET "https://api.cognizy.ai/api/v1/public/contacts/<id>" \
-H "Authorization: Bearer $COGNIZY_API_KEY"